javax.faces.application

## Class NavigationHandlerWrapper

- java.lang.Object
- - javax.faces.application.NavigationHandler
  - - javax.faces.application.NavigationHandlerWrapper

- All Implemented Interfaces:
    FacesWrapper<NavigationHandler>

      public abstract class NavigationHandlerWrapper
      extends NavigationHandler
      implements FacesWrapper<NavigationHandler>

  NavigationHandlerWrapper provides a simple implementation of `NavigationHandler` that can be subclassed by developers wishing to provide specialized behavior to an existing `NavigationHandler` instance. The default implementation of all methods is to call through to the wrapped `NavigationHandler` instance.

  `getWrapped()` to return the instance being wrapping.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationHandlerWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract NavigationHandler` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
    `void` | `handleNavigation(FacesContext context, String fromAction, String outcome)` Perform navigation processing based on the state information in the specified `FacesContext`, plus the outcome string returned by an executed application action.
    `void` | `handleNavigation(FacesContext context, String fromAction, String outcome, String toFlowDocumentId)` Overloaded variant of `NavigationHandler.handleNavigation(javax.faces.context.FacesContext, java.lang.String, java.lang.String)` that allows the caller to provide the defining document id for a flow to be entered by this navigation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationHandlerWrapper

          public NavigationHandlerWrapper()

  - ### Method Detail

    - #### getWrapped

          public abstract NavigationHandler getWrapped()

      Description copied from interface: `FacesWrapper`

      A class that implements this interface uses this method to return an instance of the class being wrapped.

      Specified by:
        `getWrapped` in interface `FacesWrapper<NavigationHandler>`

    - #### handleNavigation

          public void handleNavigation(FacesContext context,
                              String fromAction,
                              String outcome)

      Description copied from class: `NavigationHandler`

      Perform navigation processing based on the state information in the specified `FacesContext`, plus the outcome string returned by an executed application action.

      If the implementation class also extends `ConfigurableNavigationHandler`, the implementation must guarantee that the logic used in a call to `ConfigurableNavigationHandler.getNavigationCase(javax.faces.context.FacesContext, java.lang.String, java.lang.String)` is used in this method to determine the correct navigation.

      This method must set the render targets (used in partial rendering) to `render all` invoking `PartialViewContext.setRenderAll(boolean)`) if the view identifier has changed as the result of an application action (to take into account `Ajax requests`).

      Specified by:
        `handleNavigation` in class `NavigationHandler`
      Parameters:
        `context` - The `FacesContext` for the current request
        `fromAction` - The action binding expression that was evaluated to retrieve the specified outcome, or `null` if the outcome was acquired by some other means
        `outcome` - The logical outcome returned by a previous invoked application action (which may be `null`)

    - #### handleNavigation

          public void handleNavigation(FacesContext context,
                              String fromAction,
                              String outcome,
                              String toFlowDocumentId)

      Description copied from class: `NavigationHandler`

      Overloaded variant of `NavigationHandler.handleNavigation(javax.faces.context.FacesContext, java.lang.String, java.lang.String)` that allows the caller to provide the defining document id for a flow to be entered by this navigation. For backward compatibility with decorated `NavigationHandler` implementations that conform to an earlier version of the specification, an implementation is provided that calls through to `NavigationHandler.handleNavigation(javax.faces.context.FacesContext, java.lang.String, java.lang.String)`, ignoring the `toFlowDocumentId` parameter.

      Overrides:
        `handleNavigation` in class `NavigationHandler`
      Parameters:
        `context` - The `FacesContext` for the current request
        `fromAction` - The action binding expression that was evaluated to retrieve the specified outcome, or `null` if the outcome was acquired by some other means
        `outcome` - The logical outcome returned by a previous invoked application action (which may be `null`)
        `toFlowDocumentId` - The defining document id of the flow into which this navigation will cause entry.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.